at.chipkarte.client.rez.soap

## Class AbgabeErfassungAenderung

- Object
- - at.chipkarte.client.rez.soap.AbgabeErfassungAenderung

-     public class AbgabeErfassungAenderung
      extends Object

  Daten zur Erfassung/Änderung von Abgabeinformationen zu einem Kassenrezept.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbgabeErfassungAenderung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RezeptAbgabeInformationen` | `getAbgabeInformation()` Informationen zur Abgabe.
    `String` | `getKvt()` KV-Träger des Patienten.
    `String` | `getPatientenArt()` Kennzeichen, ob es sich um einen SV-Patienten oder einen EKVK-Patienten handelt.
    `String` | `getRezId()` Eindeutige ID eines e-Rezeptes.
    `String` | `getSvnr()` Sozialversicherungsnummer des Patienten.
    `String` | `getSvnrAbgeleitet()` Sozialversicherungsnummer des Versicherten (bei abgeleiteten Ansprüchen).
    `VerordnungsAbgabe[]` | `getVerordnungsAbgaben()` Abgabeinformation(en) zu den einzelnen Verordnungen.
    `Boolean` | `isNacherfassung()` Angabe, ob es sich um die nachträgliche Übermittlung einer bereits offline getätigten Abgabe handelt.
    `void` | `setAbgabeInformation(RezeptAbgabeInformationen abgabeInformation)`
    `void` | `setKvt(String kvt)`
    `void` | `setNacherfassung(Boolean nacherfassung)`
    `void` | `setPatientenArt(String patientenArt)`
    `void` | `setRezId(String rezId)`
    `void` | `setSvnr(String svnr)`
    `void` | `setSvnrAbgeleitet(String svnrAbgeleitet)`
    `void` | `setVerordnungsAbgaben(VerordnungsAbgabe[] verordnungsAbgaben)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbgabeErfassungAenderung

          public AbgabeErfassungAenderung()

  - ### Method Detail

    - #### getRezId

          public String getRezId()

      Eindeutige ID eines e-Rezeptes.
      Angabe: Muss.
      Format: 12-stellig
      Returns:
        Returns the rezId.

    - #### setRezId

          public void setRezId(String rezId)

    - #### getPatientenArt

          public String getPatientenArt()

      Kennzeichen, ob es sich um einen SV-Patienten oder einen EKVK-Patienten handelt.
      Angabe: Kann.
      Mögliche Werte: `PatientenartConstants`.
      Returns:
        Returns the patientenArt.

    - #### setPatientenArt

          public void setPatientenArt(String patientenArt)

    - #### isNacherfassung

          public Boolean isNacherfassung()

      Angabe, ob es sich um die nachträgliche Übermittlung einer bereits offline getätigten Abgabe handelt.
      Angabe: Bedingt. (Muss bei der Erfassung)
      Returns:
        Returns the nacherfassung.

    - #### setNacherfassung

          public void setNacherfassung(Boolean nacherfassung)

    - #### getSvnr

          public String getSvnr()

      Sozialversicherungsnummer des Patienten.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        Returns the svnr.

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getSvnrAbgeleitet

          public String getSvnrAbgeleitet()

      Sozialversicherungsnummer des Versicherten (bei abgeleiteten Ansprüchen).
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        Returns the svnrAbgeleitet.

    - #### setSvnrAbgeleitet

          public void setSvnrAbgeleitet(String svnrAbgeleitet)

    - #### getKvt

          public String getKvt()

      KV-Träger des Patienten.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Returns the kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getAbgabeInformation

          public RezeptAbgabeInformationen getAbgabeInformation()

      Informationen zur Abgabe. Siehe `RezeptAbgabeInformationen`.
      Angabe: Muss.
      Returns:
        Returns the abgabeInformation.

    - #### setAbgabeInformation

          public void setAbgabeInformation(RezeptAbgabeInformationen abgabeInformation)

    - #### getVerordnungsAbgaben

          public VerordnungsAbgabe[] getVerordnungsAbgaben()

      Abgabeinformation(en) zu den einzelnen Verordnungen. Siehe `VerordnungsAbgabe`.
      Angabe: Kann.
      Returns:
        Returns the verordnungsAbgaben.

    - #### setVerordnungsAbgaben

          public void setVerordnungsAbgaben(VerordnungsAbgabe[] verordnungsAbgaben)